Loading...
Searching...
No Matches
libdar::database_remove_options Class Reference
API

options to remove an archive from the base More...

`#include <database_options.hpp>`

## Public Member Functions

| database_remove_options (const database_remove_options &ref)=default
| database_remove_options (database_remove_options &&ref) noexcept=default
database_remove_options & | operator= (const database_remove_options &ref)=default
database_remove_options & | operator= (database_remove_options &&ref) noexcept=default
void | clear ()
void | set_revert_archive_numbering (bool revert)
| defines whether the archive number is counted from the beginning or from the end of the database
bool | get_revert_archive_numbering () const

## Private Attributes

bool | x_revert_archive_numbering

## Detailed Description

options to remove an archive from the base

Definition at line 147 of file database_options.hpp.

## Constructor & Destructor Documentation

## database_remove_options()

libdar::database_remove_options::database_remove_options | ( |  | ) |

inline

Definition at line 150 of file database_options.hpp.

## Member Function Documentation

## clear()

void libdar::database_remove_options::clear | ( |  | ) |

inline

Definition at line 157 of file database_options.hpp.

## get_revert_archive_numbering()

bool libdar::database_remove_options::get_revert_archive_numbering | ( |  | ) | const

inline

Definition at line 162 of file database_options.hpp.

## set_revert_archive_numbering()

void libdar::database_remove_options::set_revert_archive_numbering | ( | bool | revert | ) |

inline

defines whether the archive number is counted from the beginning or from the end of the database

Definition at line 160 of file database_options.hpp.

## Member Data Documentation

## x_revert_archive_numbering

bool libdar::database_remove_options::x_revert_archive_numbering

private

Definition at line 165 of file database_options.hpp.

The documentation for this class was generated from the following file:

- database_options.hpp